# Uses of Interface
org.italiangrid.voms.ac.ValidationResultListener

Packages that use ValidationResultListener
Package
Description
org.italiangrid.voms
This package provides main VOMS Java APIs class and interfaces.
org.italiangrid.voms.ac
This package provides the APIs to perform validation and parsing of VOMS attributes.
org.italiangrid.voms.ac.impl
Implementation classes for VOMS attributes validation and parsing.
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of ValidationResultListener in org.italiangrid.voms

Methods in org.italiangrid.voms with parameters of type ValidationResultListener
Modifier and Type
Method
Description
`static VOMSACValidator`
VOMSValidators.`newValidator(ValidationResultListener listener)`
`static VOMSACValidator`
VOMSValidators.`newValidator(VOMSTrustStore trustStore, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, ValidationResultListener vrListener)`
`static VOMSACValidator`
VOMSValidators.`newValidator(VOMSTrustStore store, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, ValidationResultListener vrListener, VOMSACLookupStrategy strategy)`

## Uses of ValidationResultListener in org.italiangrid.voms.ac

Methods in org.italiangrid.voms.ac with parameters of type ValidationResultListener
Modifier and Type
Method
Description
`void`
VOMSACValidator.`setValidationResultListener(ValidationResultListener listener)`
Sets a listener that will received validation-related events for this `VOMSACValidator`.

## Uses of ValidationResultListener in org.italiangrid.voms.ac.impl

Methods in org.italiangrid.voms.ac.impl with parameters of type ValidationResultListener
Modifier and Type
Method
Description
`void`
DefaultVOMSValidator.`setValidationResultListener(ValidationResultListener listener)`
`DefaultVOMSValidator.Builder`
DefaultVOMSValidator.Builder.`validationListener(ValidationResultListener l)`

## Uses of ValidationResultListener in org.italiangrid.voms.util

Classes in org.italiangrid.voms.util that implement ValidationResultListener
Modifier and Type
Class
Description
`enum`
`NullListener`
A Singleton Listener which swallows notification.